<!DOCTYPE html>
<html lang="zxx">
   <head>
      <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <meta charset="utf-8">
      <meta http-equiv="x-ua-compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="keyword" content="">
      <meta name="author"  content=""/>
      <!-- Page Title -->
      <title>Flow | Avesta - Multipurpose Admin Dashboard Template</title>
      <!-- Required CSS -->
      <link type="text/css" rel="stylesheet" href="assets/plugins/flow.js/flow.css"/>
      <link type="text/css" rel="stylesheet" href="assets/plugins/prism/prism-vs.css"/>
      <!-- Main CSS -->	  
      <link type="text/css" rel="stylesheet" href="assets/css/style.css"/>
      <!-- Favicon -->	
      <link rel="icon" href="assets/images/favicon.ico" type="image/x-icon">
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>
      <!--================================-->
      <!-- Page Container Start -->
      <!--================================-->
      <div class="page-container">
         <!--================================-->
         <!-- Page Sidebar Start -->
         <!--================================-->
         <div class="page-sidebar">
            <div class="logo">
               <a class="logo-img" href="index.html">		
               <img class="desktop-logo" src="assets/images/logo.png" alt="">
               <img class="small-logo" src="assets/images/small-logo.png" alt="">
               </a>			
               <a id="sidebar-toggle-button-close"><i class="wd-20" data-feather="x"></i> </a>
            </div>
            <!--================================-->
            <!-- Sidebar Menu Start -->
            <!--================================-->
            <div class="page-sidebar-inner">
               <div class="page-sidebar-menu">
                  <ul class="accordion-menu">
                     <li class="mg-l-20-force mg-t-25-force menu-navigation">Navigation</li>
                     <li>
                        <a href=""><i data-feather="home"></i>
                        <span>Dashboard</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="index.html">Sales</a></li>
                           <li><a href="index2.html">Analytics</a></li>
                           <li><a href="index3.html">Cryptocurrency</a></li>
                           <li><a href="index4.html">Helpdesk</a></li>
                           <li><a href="index5.html">Project</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="mail"></i>
                        <span>Mailbox</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="mailbox.html">Inbox</a></li>
                           <li><a href="mailbox-message.html">View Mail</a></li>
                           <li><a href="mailbox-compose.html">Compose Mail</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="feather"></i>
                        <span>Apps View</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="app-chatroom.html">Chat Room</a></li>
                           <li><a href="app-calendar.html">Calendar</a></li>
                           <li><a href="app-file-manager.html">File Manager</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-elements">Elements</li>
                     <li>
                        <a href=""><i data-feather="underline"></i>
                        <span>UI Elements</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uie-accordion.html">Accordion</a></li>
                           <li><a href="uie-alert.html">Alerts</a></li>
                           <li><a href="uie-avatar.html">Avatar</a></li>
                           <li><a href="uie-badge.html">Badges</a></li>
                           <li><a href="uie-breadcrumbs.html">Breadcrumbs</a></li>
                           <li><a href="uie-buttons.html">Buttons</a></li>
                           <li><a href="uie-button-groups.html">Button Groups</a></li>
                           <li><a href="uie-cards.html">Cards</a></li>
                           <li><a href="uie-carousel.html">Carousel</a></li>
                           <li><a href="uie-collapse.html">Collapse</a></li>
                           <li><a href="uie-dropdown.html">Dropdown</a></li>
                           <li><a href="uie-images.html">Images</a></li>
                           <li><a href="uie-list-group.html">List Group</a></li>
                           <li><a href="uie-marker.html">Marker</a></li>
                           <li><a href="uie-modal.html">Modal</a></li>
                           <li><a href="uie-navs.html">Navs</a></li>
                           <li><a href="uie-navbar.html">Navbar</a></li>
                           <li><a href="uie-pagination.html">Pagination</a></li>
                           <li><a href="uie-placeholder.html">Placeholder</a></li>
                           <li><a href="uie-popovers.html">Popovers</a></li>
                           <li><a href="uie-progress.html">Progress</a></li>
                           <li><a href="uie-scrollbar.html">Scrollbar</a></li>
                           <li><a href="uie-scrollspy.html">Scrollspy</a></li>
                           <li><a href="uie-spinners.html">Spinners</a></li>
                           <li><a href="uie-tooltips.html">Tooltips</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="aperture"></i>
                        <span>UI Utilities</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uiu-background.html">Background</a></li>
                           <li><a href="uiu-borders.html">Borders</a></li>
                           <li><a href="uiu-colors.html">Colors</a></li>
                           <li><a href="uiu-display.html">Display </a></li>
                           <li><a href="uiu-embeds.html">Embeds</a></li>
                           <li><a href="uiu-flex.html">Flex</a></li>
                           <li><a href="uiu-margin.html">Margin</a></li>
                           <li><a href="uiu-padding.html">Padding</a></li>
                           <li><a href="uiu-float.html">Float</a></li>
                           <li><a href="uiu-position.html">Position</a></li>
                           <li><a href="uiu-screenreaders.html">Screenreaders</a></li>
                           <li><a href="uiu-sizing.html">Sizing</a></li>
                           <li><a href="uiu-spacing.html">Spacing</a></li>
                           <li><a href="uiu-text.html">Text</a></li>
                           <li><a href="uiu-vertical-alignment.html">Vertical Alignment</a></li>
                           <li><a href="uiu-width.html">Width</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="grid"></i>
                        <span>Grid</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="grid-utilities-layout.html">Utilities for Layout</a></li>
                           <li><a href="grid-auto-layout-columns.html">Auto-layout Columns</a></li>
                           <li><a href="grid-responsive-classes.html">Responsive Classes</a></li>
                           <li><a href="grid-alignment.html">Alignment</a></li>
                           <li><a href="grid-reordering.html">Reordering</a></li>
                           <li><a href="grid-customizing-grid.html">Customizing Grid</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="gift"></i>
                        <span>Icons</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="icon-font-awesome.html">Font Awesome</a></li>
                           <li><a href="icon-feather.html">Feather Icons</a></li>
                           <li><a href="icon-mdi.html">Mdi icons</a></li>
                           <li><a href="icon-flag.html">Flag icons</a></li>
                           <li><a href="icon-simple-line.html">Simple line icons</a></li>
                           <li><a href="icon-themify.html">Themify icons</a></li>
                           <li><a href="icon-weather.html">Weather Icons</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="calendar"></i>
                        <span>Forms</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="form-element.html">Form Elements</a></li>
                           <li><a href="form-formatter.html">Form Formatter </a></li>
                           <li><a href="form-input-group.html">Input Group</a></li>
                           <li><a href="form-input-tag.html">Input Tags</a></li>
                           <li><a href="form-input-masks.html">Input Masks</a></li>
                           <li><a href="form-layout.html">Form Layouts</a></li>
                           <li><a href="form-validation.html">Form Validation</a></li>
                           <li><a href="form-wizard.html">Form Wizard</a></li>
                           <li><a href="form-range-slider.html">Range Slider</a></li>
                           <li><a href="form-date-pickers.html">Date Pickers</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="database"></i>
                        <span>Tables</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="table-static.html">Static</a></li>
                           <li><a href="table-responsive.html">Responsive</a></li>
                           <li><a href="table-datatable.html">Data Tables</a></li>
                           <li><a href="table-footable.html">Foo Tables</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="pie-chart"></i>
                        <span>Charts</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="chart-apex.html">Apex</a></li>
                           <li><a href="chart-google.html">Google</a></li>
                           <li><a href="chart-morris.html">Morris</a></li>
                           <li><a href="chart-chartjs.html">ChartJS</a></li>
                           <li><a href="chart-flot.html">Flot</a></li>
                           <li><a href="chart-chartlist.html">Chartlist</a></li>
                           <li><a href="chart-sparkline.html">Sparkline</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="map"></i>
                        <span>Maps</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="map-google.html">Google Maps</a></li>
                           <li><a href="map-vector.html">Vector Maps</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-extras">Extras</li>
                     <li>
                        <a href=""><i data-feather="cpu"></i>
                        <span>Authentication</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="aut-error404.html">404 Page</a></li>
                           <li><a href="aut-error500.html">500 Page</a></li>
                           <li><a href="aut-signin.html">Login</a></li>
                           <li><a href="aut-signup.html">Register</a></li>
                           <li><a href="aut-unlock.html">Lockscreen</a></li>
                           <li><a href="aut-password.html">password Reset</a></li>
                           <li><a href="aut-logign-register.html">Login + Register</a></li>
                        </ul>
                     </li>
                     <li class="open active">
                        <a href=""><i data-feather="git-pull-request"></i>
                        <span>Plugins</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu" style="display: block;">
                           <li><a href="plg-bootbox.html">Bootbox</a></li>
                           <li><a href="plg-block-ui.html">BlockUI</a></li>
                           <li><a href="plg-bootstrap-data-table.html">Bootstrap dataTable</a></li>
                           <li><a href="plg-bootstrap-daterangepicker.html">Bootstrap Daterangepicker</a></li>
                           <li><a href="plg-bootstrap-dateTimePicker.html">Bootstrap DateTimePicker</a></li>
                           <li><a href="plg-bootstrap-dual-listbox.html">Bootstrap Dual Listbox</a></li>
                           <li><a href="plg-bootstrap-slider.html">Bootstrap Slider</a></li>
                           <li><a href="plg-bootstrap-markdown.html">Bootstrap Markdown</a></li>
                           <li><a href="plg-bootstrap-maxlength.html">Bootstrap Maxlength</a></li>
                           <li><a href="plg-bootstrap-multiselect.html">Bootstrap Multiselect</a></li>
                           <li><a href="plg-bootstrap-pwstrength.html">Bootstrap Pwstrength</a></li>
                           <li><a href="plg-bootstrap-select.html">Bootstrap Select</a></li>
                           <li><a href="plg-bootstrap-sortable.html">Bootstrap Sortable</a></li>
                           <li><a href="plg-bootstrap-tagsinput.html">Bootstrap Tagsinput</a></li>
                           <li><a href="plg-cropper.html">Cropper</a></li>
                           <li><a href="plg-clipboard.html">Clipboard</a></li>
                           <li><a href="plg-codeeditor.html">Code Editor</a></li>
                           <li><a href="plg-dropzone.html">Dropzone</a></li>
                           <li><a href="plg-dragula.html">Dragula</a></li>
                           <!-- Active Page -->
                           <li class="active"><a href="plg-flow-js.html">Flow.js</a></li>
                           <li><a href="plg-fullcalendar.html">Fullcalendar</a></li>
                           <li><a href="plg-flatpickr.html">Flatpickr</a></li>
                           <li><a href="plg-growl.html">Growl</a></li>
                           <li><a href="plg-idle-timer.html">IdleTimer</a></li>
                           <li><a href="plg-knob.html">Knob</a></li>
                           <li><a href="plg-ladda.html">Ladda</a></li>
                           <li><a href="plg-masonry.html">Masonry</a></li>
                           <li><a href="plg-nestable.html">Nestable</a></li>
                           <li><a href="plg-numeral.html">Numeral</a></li>
                           <li><a href="plg-no-ui-slider.html">noUiSlider</a></li>
                           <li><a href="plg-photoswipe.html">Photoswipe</a></li>
                           <li><a href="plg-plyr.html">Plyr</a></li>
                           <li><a href="plg-sortable-js.html">Sortable.js</a></li>
                           <li><a href="plg-spinkit.html">Spinkit</a></li>
                           <li><a href="plg-swiper.html">Swiper</a></li>
                           <li><a href="plg-select2.html">Select2</a></li>
                           <li><a href="plg-sweet-alert2.html">SweetAlert2</a></li>
                           <li><a href="plg-SmartWizard.html">SmartWizard</a></li>
                           <li><a href="plg-typeahead.html">Typeahead</a></li>
                           <li><a href="plg-toastr.html">Toastr</a></li>
                           <li><a href="plg-jstree.html">Tree</a></li>
                           <li><a href="plg-vanilla-text-mask.html">Vanilla Text Mask</a></li>
                           <li><a href="plg-wysiwyg.html">WYSIWYG Editor</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>Pages</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="pages-article.html">Articles</a></li>
                           <li><a href="pages-contact.html">Contacts</a></li>
                           <li><a href="pages-faq.html">FAQ's</a></li>
                           <li><a href="pages-forum.html">Forum</a></li>
                           <li><a href="pages-gallery.html">Gallery</a></li>
                           <li><a href="pages-invoice.html">Invoice</a></li>
                           <li><a href="pages-profile.html">Profile</a></li>
                           <li><a href="pages-product.html">Products</a></li>
                           <li><a href="pages-pricing.html">Pricing</a></li>
                           <li><a href="pages-project.html">Projects</a></li>
                           <li><a href="pages-search.html">Search</a></li>
                           <li><a href="pages-ticket.html">Tickets</a></li>
                           <li><a href="pages-voting.html">Voting</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>UI Kit</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uik-base.html" target="_blank">Base</a></li>
                           <li><a href="uik-company.html" target="_blank">Company</a></li>
                           <li><a href="uik-ecommerce.html" target="_blank">E-Commerce</a></li>
                           <li><a href="uik-magazine.html" target="_blank">Magazine</a></li>
                           <li><a href="uik-social.html" target="_blank">Social</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href="email-template.html"><i data-feather="printer"></i>
                        <span>Mail Template</span></a>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-others">Others</li>
                     <li>
                        <a href="../documentation/documentation.html"><i data-feather="life-buoy"></i>
                        <span>Documentation</span></a>
                     </li>
                     <li>
                        <a href="../documentation/changelog.html"><i data-feather="coffee"></i>
                        <span>Changelog</span></a>
                     </li>
                  </ul>
               </div>
            </div>
            <!--/ Sidebar Menu End -->
            <!--================================-->
            <!-- Sidebar Footer Start -->
            <!--================================-->
            <div class="sidebar-footer">									
               <a class="pull-left" href="pages-profile.html" data-toggle="tooltip" data-placement="top" data-original-title="Profile">
               <i data-feather="user" class="wd-16"></i></a>									
               <a class="pull-left " href="mailbox.html" data-toggle="tooltip" data-placement="top" data-original-title="Mailbox">
               <i data-feather="mail" class="wd-16"></i></a>
               <a class="pull-left" href="aut-unlock.html" data-toggle="tooltip" data-placement="top" data-original-title="Lockscreen">
               <i data-feather="lock" class="wd-16"></i></a>
               <a class="pull-left" href="aut-signin.html" data-toggle="tooltip" data-placement="top" data-original-title="Sing Out">
               <i data-feather="log-out" class="wd-16"></i></a>
            </div>
            <!--/ Sidebar Footer End -->
         </div>
         <!--/ Page Sidebar End -->
         <!--================================-->
         <!-- Page Content Start -->
         <!--================================-->
         <div class="page-content">
            <!--================================-->
            <!-- Page Header Start -->
            <!--================================-->
            <div class="page-header">
               <nav class="navbar navbar-default d-flex bg-dark">
                  <div class="navbar-header">
                     <div class="navbar-brand">
                        <ul class="list-inline">
                           <!-- Mobile Toggle and Logo -->
                           <li class="list-inline-item"><a class="hidden-md hidden-lg tx-white" href="#" id="sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                           <!-- PC Toggle and Logo -->
                           <li class="list-inline-item"><a class=" hidden-xs hidden-sm tx-white" href="#" id="collapsed-sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                        </ul>
                     </div>
                  </div>				  
                  <h3 class="tx-24 tx-semibold tx-gray-100">Plugins</h3>
                  <a href="https://themeforest.net/user/colorlibcode/portfolio" class="btm btn-custom-primary mg-b-10 hidden-xs">Buy Now</a>
               </nav>
            </div>
            <!--/ Page Header End -->   
            <!--================================-->
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!-- Main Wrapper -->
               <div id="main-wrapper">
                  <div class="mg-y-30">
                     <h2>Flow</h2>
                     <pre><a href="https://github.com/flowjs/flow.js" target="_blank">https://github.com/flowjs/flow.js</a></pre>
                     <p>Flow.js is a JavaScript library providing multiple simultaneous, stable and resumable uploads via the HTML5 File API.</p>
                     <p>The library is designed to introduce fault-tolerance into the upload of large files through HTTP. This is done by splitting each file into small chunks. Then, whenever the upload of a chunk fails, uploading is retried until the procedure completes. This allows uploads to automatically resume uploading after a network connection is lost either locally or to the server. Additionally, it allows for users to pause, resume and even recover uploads without losing state because only the currently uploading chunks will be aborted, not the entire upload.</p>
                     <p>Flow.js does not have any external dependencies other than the HTML5 File API. This is relied on for the ability to chunk files into smaller pieces. Currently, this means that support is limited to Firefox 4+, Chrome 11+, Safari 6+ and Internet Explorer 10+.</p>
                     <h4 class="mg-y-30">Examples</h4>
                     <div class="flow-error alert alert-danger">
                        Your browser, unfortunately, is not supported by Flow.js. The library requires support for <a href="http://www.w3.org/TR/FileAPI/">the HTML5 File API</a> along with <a href="http://www.w3.org/TR/FileAPI/#normalization-of-params">file slicing</a>.
                     </div>
                     <div class="flow-drop py-5 px-3" ondragenter="$(this).addClass('flow-dragover')" ondragend="$(this).removeClass('flow-dragover')" ondrop="$(this).removeClass('flow-dragover')">
                        <h4>Drop files here to upload or</h4>
                        <button type="button" class="flow-browse btn btn-secondary">Select from your computer</button>
                        <button type="button" class="flow-browse-image btn btn-secondary">Select images</button>
                        <button type="button" class="flow-browse-folder btn btn-secondary">Select folder</button>
                     </div>
                     <div class="flow-progress media d-none mt-4">
                        <div class="mr-3">
                           <button type="button" onclick="r.upload(); return(false);" class="progress-resume-link btn icon-btn btn-primary"><i data-feather="play" class="wd-16"></i></button>
                           <button type="button" onclick="r.pause(); return(false);" class="progress-pause-link btn icon-btn btn-warning"><i data-feather="pause" class="wd-16"></i></button>
                           <button type="button" onclick="r.cancel(); return(false);" class="progress-cancel-link btn icon-btn btn-danger"><i data-feather="x" class="wd-16"
                              ></i></button>
                        </div>
                        <div class="media-body align-self-center">
                           <div class="progress-container progress">
                              <div class="progress-bar"></div>
                           </div>
                        </div>
                     </div>
                     <ul class="flow-list list-group d-none mt-4"></ul>
                     <h4 class="mg-t-30 mb-0">Usages</h4>
                     <pre><code class="language-html">&lt;link rel="stylesheet" href="assets/plugins/flow.js/flow.css"></code></pre>
                     <pre><code class="language-html">&lt;script src="assets/plugins/flow.js/flow.min.js">&lt;/script></code></pre>
                     <pre><code class="language-html">&lt;div class="flow-error alert alert-danger">
  Your browser, unfortunately, is not supported by Flow.js. The library requires support for &lt;a href="http://www.w3.org/TR/FileAPI/">the HTML5 File API&lt;/a> along with &lt;a href="http://www.w3.org/TR/FileAPI/#normalization-of-params">file slicing&lt;/a>.
&lt;/div>

&lt;div class="flow-drop py-5 px-3" ondragenter="$(this).addClass('flow-dragover')" ondragend="$(this).removeClass('flow-dragover')" ondrop="$(this).removeClass('flow-dragover')">
  &lt;h4>Drop files here to upload or&lt;/h4>
  &lt;button type="button" class="flow-browse btn btn-secondary">Select from your computer&lt;/button>
  &lt;button type="button" class="flow-browse-image btn btn-secondary">Select images&lt;/button>
  &lt;button type="button" class="flow-browse-folder btn btn-secondary">Select folder&lt;/button>
&lt;/div>

&lt;div class="flow-progress media d-none mt-4">
  &lt;div class="mr-3">
    &lt;button type="button" onclick="r.upload(); return(false);" class="progress-resume-link btn icon-btn btn-primary">&lt;i data-feather="play" class="wd-16">&lt;/i>&lt;/button>
    &lt;button type="button" onclick="r.pause(); return(false);" class="progress-pause-link btn icon-btn btn-warning">&lt;i data-feather="pause" class="wd-16">&lt;/i>&lt;/button>
    &lt;button type="button" onclick="r.cancel(); return(false);" class="progress-cancel-link btn icon-btn btn-danger">&lt;i data-feather="x" class="wd-16"
>&lt;/i>&lt;/button>
  &lt;/div>
  &lt;div class="media-body align-self-center">
    &lt;div class="progress-container progress">
      &lt;div class="progress-bar">&lt;/div>
    &lt;/div>
  &lt;/div>
&lt;/div>

&lt;ul class="flow-list list-group d-none mt-4">&lt;/ul></code></pre>
                     <pre><code class="language-html">&lt;!-- Javascript -->
&lt;script>
  $(function() {
    var r = new Flow({
      target: 'http://posttestserver.com/post.php',
      permanentErrors: [500, 501],
      maxChunkRetries: 1,
      chunkRetryInterval: 5000,
      simultaneousUploads: 1
    });

    // Flow.js isn't supported, fall back on a different method
    if (!r.support) {
      $('.flow-error').show();
      return ;
    }

    // Show a place for dropping/selecting files
    $('.flow-drop').show();
    r.assignDrop($('.flow-drop')[0]);
    r.assignBrowse($('.flow-browse')[0]);
    r.assignBrowse($('.flow-browse-folder')[0], true);
    r.assignBrowse($('.flow-browse-image')[0], false, false, {accept: 'image/*'});

    // Handle file add event
    r.on('fileAdded', function(file){
      // Show progress bar
      $('.flow-progress, .flow-list').removeClass('d-none');

      // Add the file to the list
      $('.flow-list').append(
        '&lt;li class="flow-file list-group-item flow-file-'+file.uniqueIdentifier+'">' +
          '&lt;div class="flow-progress media">' +
            '&lt;div class="media-body">' +
              '&lt;div>&lt;strong class="flow-file-name">&lt;/strong> - &lt;em class="flow-file-progress">&lt;span class="text-muted">Waiting...&lt;/span>&lt;/em>&lt;/div>' +
              '&lt;div>&lt;small class="flow-file-size text-muted">&lt;/small>&lt;/div>' +
            '&lt;/div>' +
            '&lt;div class="align-self-center ml-3">' +
              '&lt;button type="button" class="flow-file-download btn btn-sm icon-btn btn-outline-primary">&lt;i class="fa fa-download">&lt;/i>&lt;/button>' +
              '&lt;button type="button" class="flow-file-pause btn btn-sm icon-btn btn-outline-warning">&lt;i class="fa fa-pause">&lt;/i>&lt;/button> ' +
              '&lt;button type="button" class="flow-file-resume btn btn-sm icon-btn btn-outline-success">&lt;i class="fa fa-play">&lt;/i>&lt;/button> ' +
              '&lt;button type="button" class="flow-file-cancel btn btn-sm icon-btn btn-outline-danger">&lt;i class="fa fa-close">&lt;/i>&lt;/button>' +
            '&lt;/div>' +
          '&lt;/div>' +
        '&lt;/li>'
      );
      var $self = $('.flow-file-'+file.uniqueIdentifier);
      $self.find('.flow-file-name').text(file.name);
      $self.find('.flow-file-size').text(readablizeBytes(file.size));
      $self.find('.flow-file-download').attr('href', '/download/' + file.uniqueIdentifier).hide();
      $self.find('.flow-file-pause').on('click', function () {
        file.pause();
        $self.find('.flow-file-pause').hide();
        $self.find('.flow-file-resume').show();
      });
      $self.find('.flow-file-resume').on('click', function () {
        file.resume();
        $self.find('.flow-file-pause').show();
        $self.find('.flow-file-resume').hide();
      }).hide();
      $self.find('.flow-file-cancel').on('click', function () {
        file.cancel();
        $self.remove();
      });
    });
    r.on('filesSubmitted', function(file) {
      r.upload();
    });
    r.on('complete', function(){
      // Hide pause/resume when the upload has completed
      $('.flow-progress .progress-resume-link, .flow-progress .progress-pause-link').hide();
    });
    r.on('fileSuccess', function(file,message){
      var $self = $('.flow-file-'+file.uniqueIdentifier);
      // Reflect that the file upload has completed
      $self.find('.flow-file-progress').text('(completed)');
      $self.find('.flow-file-pause, .flow-file-resume').remove();
      $self.find('.flow-file-download').attr('href', '/download/' + file.uniqueIdentifier).show();
    });
    r.on('fileError', function(file, message){
      // Reflect that the file upload has resulted in error
      $('.flow-file-'+file.uniqueIdentifier+' .flow-file-progress')
        .addClass('text-danger')
        .text('(file could not be uploaded: ' + message + ')');
    });
    r.on('fileProgress', function(file){
      // if (!file.averageSpeed || file.averageSpeed.indexOf('undefined') !== -1) { return; }
      console.log(file.averageSpeed)

      // Handle progress for both the file and the overall upload
      $('.flow-file-'+file.uniqueIdentifier+' .flow-file-progress')
        .html(Math.floor(file.progress()*100) + '% '
          + readablizeBytes(file.averageSpeed) + '/s '
          + secondsToStr(file.timeRemaining()) + ' remaining') ;
      $('.flow-progress .progress-bar').css({width:Math.floor(r.progress()*100) + '%'});
    });
    r.on('uploadStart', function(){
      // Show pause, hide resume
      $('.flow-progress .progress-resume-link').hide();
      $('.flow-progress .progress-pause-link').show();
    });
    r.on('catchAll', function() {
      console.log.apply(console, arguments);
    });
    window.r = {
      pause: function () {
        r.pause();
        // Show resume, hide pause
        $('.flow-file-resume').show();
        $('.flow-file-pause').hide();
        $('.flow-progress .progress-resume-link').show();
        $('.flow-progress .progress-pause-link').hide();
      },
      cancel: function() {
        r.cancel();
        $('.flow-progress .progress-resume-link').hide();
        $('.flow-progress .progress-pause-link').hide();
        $('.flow-progress .progress-bar').css({width: '0%'});
        $('.flow-file').remove();
      },
      upload: function() {
        $('.flow-file-pause').show();
        $('.flow-file-resume').hide();
        r.resume();
      },
      flow: r
    };

    function readablizeBytes(bytes) {
      if (!bytes) { return '0 kB'; }

      var s = ['bytes', 'kB', 'MB', 'GB', 'TB', 'PB'];
      var e = Math.floor(Math.log(bytes) / Math.log(1024));
      return (bytes / Math.pow(1024, e)).toFixed(2) + " " + s[e];
    }
    function secondsToStr (temp) {
      function numberEnding (number) {
        return (number > 1) ? 's' : '';
      }
      var years = Math.floor(temp / 31536000);
      if (years) {
        return years + ' year' + numberEnding(years);
      }
      var days = Math.floor((temp %= 31536000) / 86400);
      if (days) {
        return days + ' day' + numberEnding(days);
      }
      var hours = Math.floor((temp %= 86400) / 3600);
      if (hours) {
        return hours + ' hour' + numberEnding(hours);
      }
      var minutes = Math.floor((temp %= 3600) / 60);
      if (minutes) {
        return minutes + ' minute' + numberEnding(minutes);
      }
      var seconds = temp % 60;
      return seconds + ' second' + numberEnding(seconds);
    }
  });
&lt;/script>
&lt;!-- / Javascript --></code></pre>
                  </div>
               </div>
               <!--/ Main Wrapper End -->
            </div>
            <!--/ Page Inner End -->
            <!--================================-->
            <!-- Page Footer Start -->	
            <!--================================-->
            <footer class="page-footer">
               <div class="pd-t-4 pd-b-0 pd-x-20">
                  <div class="tx-10 tx-uppercase tx-gray-500 tx-spacing-1">
                     <p class="pd-y-10 mb-0">Copyright&copy; 2019 |  Created By  <a href="https://themeforest.net/user/colorlibcode/portfolio" target="_blank">ColorlibCode</a></p>
                  </div>
               </div>
            </footer>
            <!--/ Page Footer End -->	
         </div>
         <!--/ Page Content End -->
      </div>
      <!--/ Page Container End -->
      <!--================================-->
      <!-- Footer Script -->
      <!--================================-->
      <script src="assets/plugins/jquery/jquery.min.js"></script>
      <script src="assets/plugins/jquery-ui/jquery-ui.js"></script>
      <script src="assets/plugins/popper/popper.js"></script>
      <script src="assets/plugins/moment/moment.min.js"></script>
      <script src="assets/plugins/feather/feather.min.js"></script>
      <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
      <script src="assets/plugins/pace/pace.min.js"></script>
      <script src="assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
      <script src="assets/plugins/highlight/highlight.min.js"></script>
      <script src="assets/plugins/prism/prism.js"></script>
      <!--  Script -->
      <script src="assets/plugins/flow.js/flow.min.js"></script>
      <!-- Required Script -->
      <script src="assets/js/app.js"></script>
      <script src="assets/js/avesta.js"></script>
      <!-- Javascript -->
      <script>
         $(function() {
           var r = new Flow({
             target: 'http://posttestserver.com/post.php',
             permanentErrors: [500, 501],
             maxChunkRetries: 1,
             chunkRetryInterval: 5000,
             simultaneousUploads: 1
           });
         
           // Flow.js isn't supported, fall back on a different method
           if (!r.support) {
             $('.flow-error').show();
             return ;
           }
         
           // Show a place for dropping/selecting files
           $('.flow-drop').show();
           r.assignDrop($('.flow-drop')[0]);
           r.assignBrowse($('.flow-browse')[0]);
           r.assignBrowse($('.flow-browse-folder')[0], true);
           r.assignBrowse($('.flow-browse-image')[0], false, false, {accept: 'image/*'});
         
           // Handle file add event
           r.on('fileAdded', function(file){
             // Show progress bar
             $('.flow-progress, .flow-list').removeClass('d-none');
         
             // Add the file to the list
             $('.flow-list').append(
               '<li class="flow-file list-group-item flow-file-'+file.uniqueIdentifier+'">' +
                 '<div class="flow-progress media">' +
                   '<div class="media-body">' +
                     '<div><strong class="flow-file-name"></strong> - <em class="flow-file-progress"><span class="text-muted">Waiting...</span></em></div>' +
                     '<div><small class="flow-file-size text-muted"></small></div>' +
                   '</div>' +
                   '<div class="align-self-center ml-3">' +
                     '<button type="button" class="flow-file-download btn btn-sm icon-btn btn-outline-primary"><i class="fa fa-download"></i></button>' +
                     '<button type="button" class="flow-file-pause btn btn-sm icon-btn btn-outline-warning"><i class="fa fa-pause"></i></button> ' +
                     '<button type="button" class="flow-file-resume btn btn-sm icon-btn btn-outline-success"><i class="fa fa-play"></i></button> ' +
                     '<button type="button" class="flow-file-cancel btn btn-sm icon-btn btn-outline-danger"><i class="fa fa-close"></i></button>' +
                   '</div>' +
                 '</div>' +
               '</li>'
             );
             var $self = $('.flow-file-'+file.uniqueIdentifier);
             $self.find('.flow-file-name').text(file.name);
             $self.find('.flow-file-size').text(readablizeBytes(file.size));
             $self.find('.flow-file-download').attr('href', '/download/' + file.uniqueIdentifier).hide();
             $self.find('.flow-file-pause').on('click', function () {
               file.pause();
               $self.find('.flow-file-pause').hide();
               $self.find('.flow-file-resume').show();
             });
             $self.find('.flow-file-resume').on('click', function () {
               file.resume();
               $self.find('.flow-file-pause').show();
               $self.find('.flow-file-resume').hide();
             }).hide();
             $self.find('.flow-file-cancel').on('click', function () {
               file.cancel();
               $self.remove();
             });
           });
           r.on('filesSubmitted', function(file) {
             r.upload();
           });
           r.on('complete', function(){
             // Hide pause/resume when the upload has completed
             $('.flow-progress .progress-resume-link, .flow-progress .progress-pause-link').hide();
           });
           r.on('fileSuccess', function(file,message){
             var $self = $('.flow-file-'+file.uniqueIdentifier);
             // Reflect that the file upload has completed
             $self.find('.flow-file-progress').text('(completed)');
             $self.find('.flow-file-pause, .flow-file-resume').remove();
             $self.find('.flow-file-download').attr('href', '/download/' + file.uniqueIdentifier).show();
           });
           r.on('fileError', function(file, message){
             // Reflect that the file upload has resulted in error
             $('.flow-file-'+file.uniqueIdentifier+' .flow-file-progress')
               .addClass('text-danger')
               .text('(file could not be uploaded: ' + message + ')');
           });
           r.on('fileProgress', function(file){
             // if (!file.averageSpeed || file.averageSpeed.indexOf('undefined') !== -1) { return; }
             console.log(file.averageSpeed)
         
             // Handle progress for both the file and the overall upload
             $('.flow-file-'+file.uniqueIdentifier+' .flow-file-progress')
               .html(Math.floor(file.progress()*100) + '% '
                 + readablizeBytes(file.averageSpeed) + '/s '
                 + secondsToStr(file.timeRemaining()) + ' remaining') ;
             $('.flow-progress .progress-bar').css({width:Math.floor(r.progress()*100) + '%'});
           });
           r.on('uploadStart', function(){
             // Show pause, hide resume
             $('.flow-progress .progress-resume-link').hide();
             $('.flow-progress .progress-pause-link').show();
           });
           r.on('catchAll', function() {
             console.log.apply(console, arguments);
           });
           window.r = {
             pause: function () {
               r.pause();
               // Show resume, hide pause
               $('.flow-file-resume').show();
               $('.flow-file-pause').hide();
               $('.flow-progress .progress-resume-link').show();
               $('.flow-progress .progress-pause-link').hide();
             },
             cancel: function() {
               r.cancel();
               $('.flow-progress .progress-resume-link').hide();
               $('.flow-progress .progress-pause-link').hide();
               $('.flow-progress .progress-bar').css({width: '0%'});
               $('.flow-file').remove();
             },
             upload: function() {
               $('.flow-file-pause').show();
               $('.flow-file-resume').hide();
               r.resume();
             },
             flow: r
           };
         
           function readablizeBytes(bytes) {
             if (!bytes) { return '0 kB'; }
         
             var s = ['bytes', 'kB', 'MB', 'GB', 'TB', 'PB'];
             var e = Math.floor(Math.log(bytes) / Math.log(1024));
             return (bytes / Math.pow(1024, e)).toFixed(2) + " " + s[e];
           }
           function secondsToStr (temp) {
             function numberEnding (number) {
               return (number > 1) ? 's' : '';
             }
             var years = Math.floor(temp / 31536000);
             if (years) {
               return years + ' year' + numberEnding(years);
             }
             var days = Math.floor((temp %= 31536000) / 86400);
             if (days) {
               return days + ' day' + numberEnding(days);
             }
             var hours = Math.floor((temp %= 86400) / 3600);
             if (hours) {
               return hours + ' hour' + numberEnding(hours);
             }
             var minutes = Math.floor((temp %= 3600) / 60);
             if (minutes) {
               return minutes + ' minute' + numberEnding(minutes);
             }
             var seconds = temp % 60;
             return seconds + ' second' + numberEnding(seconds);
           }
         });
      </script>
      <!-- / Javascript -->
   </body>
</html>